Bug 544257 - Missing IPv6 permissions (127.0.0.1 but not ::1)
Summary: Missing IPv6 permissions (127.0.0.1 but not ::1)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dokuwiki
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-04 12:05 UTC by Volker Braun
Modified: 2010-01-07 21:50 UTC (History)
1 user (show)

Fixed In Version: 0-0.3.20091202.rc.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-05 22:30:08 UTC


Attachments (Terms of Use)

Description Volker Braun 2009-12-04 12:05:06 UTC
Description of problem:

No IPv6 support in /etc/httpd/conf.d/dokuwiki.conf


Version-Release number of selected component (if applicable):

dokuwiki-0-0.2.20090214.b.fc12.noarch

How reproducible:

Always

Steps to Reproduce:
1. Use IPv6-enabled network
2. yum install dokuwiki
3. open web browser at http://localhost/dokuwiki
  
Actual results:

Get "permission denied" page.

/var/log/httpd/error_log contains
[Fri Dec 04 11:40:35 2009] [error] [client ::1] client denied by server configuration: /usr/share/dokuwiki

Expected results:

Get the initial dokuwiki page.

Additional info:

Can be fixed by adding ::1 in /etc/httpd/conf.d/dokuwiki.conf:

<Directory /usr/share/dokuwiki>
	Options +FollowSymLinks
	Order Allow,Deny
	Allow from 127.0.0.1 ::1
</Directory>

Comment 1 Fedora Update System 2009-12-15 11:59:13 UTC
dokuwiki-0-0.3.20091202.rc.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dokuwiki-0-0.3.20091202.rc.el5

Comment 2 Fedora Update System 2009-12-15 11:59:18 UTC
dokuwiki-0-0.3.20091202.rc.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dokuwiki-0-0.3.20091202.rc.fc11

Comment 3 Fedora Update System 2009-12-15 11:59:22 UTC
dokuwiki-0-0.3.20091202.rc.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dokuwiki-0-0.3.20091202.rc.fc12

Comment 4 Volker Braun 2009-12-15 12:47:51 UTC
I can confirm that this is fixed in dokuwiki-0-0.3.20091202.rc.fc12.noarch

Comment 5 Fedora Update System 2009-12-16 01:11:18 UTC
dokuwiki-0-0.3.20091202.rc.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dokuwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13177

Comment 6 Fedora Update System 2009-12-16 01:12:17 UTC
dokuwiki-0-0.3.20091202.rc.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dokuwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13182

Comment 7 Fedora Update System 2009-12-17 23:51:49 UTC
dokuwiki-0-0.3.20091202.rc.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dokuwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1009

Comment 8 Fedora Update System 2010-01-05 22:30:04 UTC
dokuwiki-0-0.3.20091202.rc.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-07 21:42:04 UTC
dokuwiki-0-0.3.20091202.rc.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-01-07 21:50:40 UTC
dokuwiki-0-0.3.20091202.rc.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.